# pandas.api.types.is_object_dtype

`pandas.api.types.``is_object_dtype`(arr_or_dtype)

  Check whether an array-like or dtype is of the object dtype.

  Parameters:

  arr_or_dtype : array-like

  > The array-like or dtype to check.

  Returns:

  boolean

  > Whether or not the array-like or dtype is of the object dtype.

  Examples

      >>> is_object_dtype(object)
      True
      >>> is_object_dtype(int)
      False
      >>> is_object_dtype(np.array([], dtype=object))
      True
      >>> is_object_dtype(np.array([], dtype=int))
      False
      >>> is_object_dtype([1, 2, 3])
      False

Scroll To Top